### Function

# Gio IOModuleScope new

since: 2.30

#### Declaration [src]

    GIOModuleScope*
    g_io_module_scope_new (
      GIOModuleScopeFlags flags
    )

#### Description [src]

Create a new scope for loading of IO modules. A scope can be used for blocking duplicate modules, or blocking a module you don’t want to load.

Specify the `G_IO_MODULE_SCOPE_BLOCK_DUPLICATES` flag to block modules which have the same base name as a module that has already been seen in this scope.

Available since: 2.30

This function is not directly available to language bindings.

#### Parameters

`flags`

  Type: `GIOModuleScopeFlags`

  Flags for the new scope.

#### Return value

Type: `GIOModuleScope`

The new module scope.

The caller of the function takes ownership of the data, and is responsible for freeing it.